/[gentoo-x86]/app-office/libreoffice-bin/libreoffice-bin-3.6.4.3.ebuild
Gentoo

Contents of /app-office/libreoffice-bin/libreoffice-bin-3.6.4.3.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.5 - (hide annotations) (download)
Mon Apr 1 17:54:08 2013 UTC (17 months, 2 weeks ago) by dilfridge
Branch: MAIN
Changes since 1.4: +2 -1 lines
Add openldap to dependencies, since the libraries are linked (used by /usr/lib64/libreoffice/program/libucpftp1.so, /usr/lib64/libreoffice/program/ucpcmis1.uno.so)

(Portage version: 2.2.0_alpha170/cvs/Linux x86_64, signed Manifest commit with key EBE6A336BE19039C!)

1 hwoarang 1.4 # Copyright 1999-2013 Gentoo Foundation
2 dilfridge 1.1 # Distributed under the terms of the GNU General Public License v2
3 dilfridge 1.5 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice-bin/libreoffice-bin-3.6.4.3.ebuild,v 1.4 2013/03/02 19:35:20 hwoarang Exp $
4 dilfridge 1.1
5     EAPI=5
6    
7     KDE_REQUIRED="optional"
8     CMAKE_REQUIRED="never"
9    
10     BASE_AMD64_URI="mirror://gentoo/amd64-bin-"
11     BASE_X86_URI="mirror://gentoo/x86-bin-"
12    
13     inherit kde4-base java-pkg-opt-2 pax-utils prefix versionator
14    
15     DESCRIPTION="LibreOffice, a full office productivity suite. Binary package."
16     HOMEPAGE="http://www.libreoffice.org"
17     SRC_URI_AMD64="
18     kde? (
19     !java? ( ${BASE_AMD64_URI}${PN/-bin}-kde-${PVR}.tar.xz )
20     java? ( ${BASE_AMD64_URI}${PN/-bin}-kde-java-${PVR}.tar.xz )
21     )
22     gnome? (
23     !java? ( ${BASE_AMD64_URI}${PN/-bin}-gnome-${PVR}.tar.xz )
24     java? ( ${BASE_AMD64_URI}${PN/-bin}-gnome-java-${PVR}.tar.xz )
25     )
26     !kde? ( !gnome? (
27     !java? ( ${BASE_AMD64_URI}${PN/-bin}-base-${PVR}.tar.xz )
28     java? ( ${BASE_AMD64_URI}${PN/-bin}-base-java-${PVR}.tar.xz )
29     ) )
30     "
31     SRC_URI_X86="
32     kde? (
33     !java? ( ${BASE_X86_URI}${PN/-bin}-kde-${PVR}.tar.xz )
34     java? ( ${BASE_X86_URI}${PN/-bin}-kde-java-${PVR}.tar.xz )
35     )
36     gnome? (
37     !java? ( ${BASE_X86_URI}${PN/-bin}-gnome-${PVR}.tar.xz )
38     java? ( ${BASE_X86_URI}${PN/-bin}-gnome-java-${PVR}.tar.xz )
39     )
40     !kde? ( !gnome? (
41     !java? ( ${BASE_X86_URI}${PN/-bin}-base-${PVR}.tar.xz )
42     java? ( ${BASE_X86_URI}${PN/-bin}-base-java-${PVR}.tar.xz )
43     ) )
44     "
45    
46     SRC_URI="
47     amd64? ( ${SRC_URI_AMD64} )
48     x86? ( ${SRC_URI_X86} )
49     "
50    
51     IUSE="+cups debug gnome java kde"
52     LICENSE="LGPL-3"
53     SLOT="0"
54 ago 1.3 KEYWORDS="-* amd64 x86"
55 dilfridge 1.1
56     BIN_COMMON_DEPEND="
57     =app-text/libexttextcat-3.3*
58     =dev-cpp/libcmis-0.2*
59     =dev-libs/icu-49*
60     =media-gfx/graphite2-1.2*
61     >=sys-libs/glibc-2.15-r3
62 hwoarang 1.4 kde? ( >=kde-base/kdelibs-4.9.3:4 >=dev-qt/qtcore-4.8.2:4 )
63 dilfridge 1.1 "
64    
65     COMMON_DEPEND="
66     ${BIN_COMMON_DEPEND}
67     app-arch/zip
68     app-arch/unzip
69     >=app-text/hunspell-1.3.2-r3
70     app-text/mythes
71     >=app-text/libexttextcat-3.2
72     app-text/libwpd:0.9[tools]
73     app-text/libwpg:0.2
74     >=app-text/libwps-0.2.2
75     >=dev-cpp/clucene-2.3.3.4-r2
76     >=dev-cpp/libcmis-0.2:0.2
77     dev-db/unixODBC
78     dev-libs/expat
79     >=dev-libs/glib-2.28
80     >=dev-libs/hyphen-2.7.1
81     >=dev-libs/icu-4.8.1.1
82     >=dev-libs/nspr-4.8.8
83     >=dev-libs/nss-3.12.9
84     >=dev-lang/perl-5.0
85     >=dev-libs/openssl-1.0.0d
86     >=dev-libs/redland-1.0.14[ssl]
87     gnome-base/librsvg
88     media-gfx/graphite2
89     >=media-libs/fontconfig-2.8.0
90     media-libs/freetype:2
91     media-libs/lcms:2
92     >=media-libs/libpng-1.4
93     >=media-libs/libcdr-0.0.5
94     media-libs/libvisio
95     >=net-misc/curl-7.21.4
96 dilfridge 1.5 net-nds/openldap
97 dilfridge 1.1 sci-mathematics/lpsolve
98     >=sys-libs/db-4.8
99     virtual/jpeg
100     >=x11-libs/cairo-1.10.0[X]
101     x11-libs/libXinerama
102     x11-libs/libXrandr
103     x11-libs/libXrender
104     cups? ( net-print/cups )
105     >=dev-libs/dbus-glib-0.92
106     gnome? ( gnome-extra/evolution-data-server )
107     gnome? ( gnome-base/gconf:2 )
108     x11-libs/gdk-pixbuf[X]
109     >=x11-libs/gtk+-2.24:2
110     >=media-libs/gstreamer-0.10:0.10
111     >=media-libs/gst-plugins-base-0.10:0.10
112     net-libs/neon
113     "
114    
115     RDEPEND="${COMMON_DEPEND}
116     !app-office/libreoffice
117     !<app-office/openoffice-bin-3.4.0-r1
118     !app-office/openoffice
119     media-fonts/libertine-ttf
120     media-fonts/liberation-fonts
121     media-fonts/urw-fonts
122     java? ( >=virtual/jre-1.6 )
123     "
124    
125     PDEPEND="
126     =app-office/libreoffice-l10n-3.6*
127     "
128    
129     DEPEND=""
130    
131     # only one flavor at a time
132     REQUIRED_USE="kde? ( !gnome ) gnome? ( !kde )"
133    
134     RESTRICT="test strip"
135    
136     S="${WORKDIR}"
137    
138     PYTHON_UPDATER_IGNORE="1"
139    
140     pkg_pretend() {
141     [[ $(gcc-major-version) -lt 4 ]] || \
142     ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -le 4 ]] ) \
143     && die "Sorry, but gcc-4.4 and earlier won't work for libreoffice-bin package (see bug #387515)."
144     }
145    
146     pkg_setup() {
147     kde4-base_pkg_setup
148     }
149    
150     src_unpack() {
151     default
152     }
153    
154     src_prepare() {
155     cp "${FILESDIR}"/50-${PN} "${T}"
156     eprefixify "${T}"/50-${PN}
157     }
158    
159     src_configure() { :; }
160    
161     src_compile() { :; }
162    
163     src_install() {
164     dodir /usr
165     cp -aR "${S}"/usr/* "${ED}"/usr/
166    
167     # prevent revdep-rebuild from attempting to rebuild all the time
168     insinto /etc/revdep-rebuild && doins "${T}/50-${PN}"
169     }
170    
171     pkg_preinst() {
172     # Cache updates - all handled by kde eclass for all environments
173     kde4-base_pkg_preinst
174     }
175    
176     pkg_postinst() {
177     kde4-base_pkg_postinst
178    
179     pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
180     pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
181    
182     use cups && ! has_version net-print/cups || \
183     ewarn 'You will need net-print/cups to be able to print and export to PDF with libreoffice.'
184    
185     use java || \
186     ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
187     }
188    
189     pkg_postrm() {
190     kde4-base_pkg_postrm
191     }

  ViewVC Help
Powered by ViewVC 1.1.20